
#include <tqvbox.h>
#include <tqpopupmenu.h>

#include <tdeaction.h>
#include <kstdaction.h>
#include <tdelocale.h>
#include <tdemenubar.h>

#include "dccManager.h"
#include "dccToplevel.h"
#include "displayMgr.h"

extern DisplayMgr *displayMgr;

#define DTL_WINDOW_ID 10

dccTopLevel::dccTopLevel(TQWidget *parent, const char *name)
    : TDEMainWindow(parent, name, TQt::WDestructiveClose)
{
    m_mgr = new dccManager(this, TQCString(this->name()) + "_dccManager");
//    m_mgr->show();
    setCentralWidget(m_mgr);

    connect(m_mgr, TQ_SIGNAL(changed(bool, TQString)), this, TQ_SIGNAL(changed(bool, TQString)));

    TQPopupMenu *win = new TQPopupMenu(this, TQCString(this->name()) + "_popup_window");
    TDEAction *act = KStdAction::close(this, TQ_SLOT( close() ), actionCollection() );
    act->plug(win);

    menuBar()->insertItem(i18n("&File"), win, DTL_WINDOW_ID, -1);
    menuBar()->setAccel(Key_F, DTL_WINDOW_ID);


}

dccTopLevel::~dccTopLevel()
{
}

void dccTopLevel::close()
{

    displayMgr->hide(this);

}

#include "dccToplevel.moc"

